Skip to main content
POST
/
workflows
/
executions
/
{executionId}
/
node-data
Get paginated data rows from a node output in a workflow execution
curl --request POST \
  --url https://api.artu.ai/workflows/executions/{executionId}/node-data \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Environment: <api-key>' \
  --data '
{
  "nodeId": "<string>",
  "handle": "<string>",
  "limit": 500,
  "offset": 4503599627370495,
  "search": "<string>"
}
'
{
  "columns": [
    "<string>"
  ],
  "rows": [
    {}
  ],
  "totalRows": 0,
  "object": "<unknown>"
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

executionId
string<uuid>
required

Body

application/json
nodeId
string
required
Minimum string length: 1
handle
string
required
Minimum string length: 1
limit
integer
Required range: 1 <= x <= 1000
offset
integer
Required range: 0 <= x <= 9007199254740991
Maximum string length: 200

Response

200 - application/json
object | null

OK

columns
string[]
required
rows
object[]
required
totalRows
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
object
any